$right-overflow-when-possible: 300px;
$table-width-d: 134px;

.CssMapWithPriceTable {
    @media (min-width: 1200px) {
        width: calc(100% + #{$right-overflow-when-possible});
    }
}

.DeliveryMapAndLegend {
    display: grid;
    width: 100%;

    // #{} in width used to avoid eslint error
    //width: calc(100% + #{$right-overflow-when-possible});
    margin: 0;
    margin-right: -#{$right-overflow-when-possible};
    grid-template-areas: 'table map';
    grid-template-columns: $table-width-d auto;

    @include mobile {
        grid-template-areas:
            'table'
            'map';
        grid-template-rows: 'auto auto';
        grid-template-columns: 100%;
    }
}

.CssMapTables {
    grid-area: table;
    @include mobile {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 16px;
    }
}
.Table-Wrapper {
    width: #{$table-width-d};
    @include mobile {
        width: 100%;
    }
    table {
        width: 100%;
        table-layout: fixed;
        tr {
            td {
                border: 1px solid #141414;
                &:first-of-type {
                    padding: 10px 8px;
                }
                &:last-of-type {
                    width: 50px;
                    min-width: auto;
                    padding: 0;
                    text-align: center;
                    @include mobile {
                        width: 58px;
                    }
                }
            }
        }

        tr:nth-child(even),
        thead tr {
            background: none;
        }

        tr[data-map-regions] {
            &:hover {
                td {
                    background: $default-secondary-base-color;
                    background-clip: padding-box;
                }
            }
        }
    }
}

.ReusableContact {
    margin-top: 1.5rem;
    grid-row: 1;

    ul {
        li {
            padding-left: 4.5rem;
            margin-bottom: 24px;
            font-size: 12px;
            &::before {
                display: none;
            }

            .actual-icon {
                position: absolute;
                left: 0;
                fill: black;
            }

            .Item-Title {
                //color: $white;
                display: inline-block;
                margin: 0 0 8px;
                font-size: 14px;
            }
            p {
                color: #7a7a7a;
                a {
                    color: #141414;
                }
            }
        }
    }
}

.cssmap {
    &-container {
        margin: 0;
    }
    ul,
    li {
        padding: 0;
    }
    ul {
        list-style: none;
    }
    li {
        &::before {
            display: none;
            content: none;
        }
    }
}
